Bug 8570 - Installer doesn't autodetect printer on LPT1 io=0x378 irq7
Installer doesn't autodetect printer on LPT1 io=0x378 irq7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-18 08:13 EST by rich gregory
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-04 17:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rich gregory 2000-01-18 08:13:08 EST
I ran a KDE workstation install with a brand new Dell GX1 PC.  It did not
find LPT1.  Printtool could not detect any of the three LP ports.

In the Printing HOWTO it described how the printing modules had been
changed

 3. Kernel printer devices

     3.1 The lp device (kernels <=2.1.32)
     3.2 The parport device (kernels >= 2.1.33)
     3.3 Serial devices

This pointed me to parport.txt in the rpm file

kernel-doc-2.2.12-20.i386.rpm

This doc told me to add this at boot time

insmod parport
insmod parport_pc
insmod lp

Eureka..printtool finds the printer!!

cheers,

rich
Comment 1 Bill Nottingham 2000-04-04 17:35:59 EDT
This is fixed in 6.2 (specifically, in modutils.)

Note You need to log in before you can comment on or make changes to this bug.